Cygport Reference Manual

### TABLE OF CONTENTS

- emacs.cygclass

- EMACS
- EMACS_SITE
- doemacs

## emacs.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

DESCRIPTION

Emacs is a programmers' text editor which is extensible through libraries written in its own Lisp dialect, which is also bytecode compilable.

This cygclass includes helper functions for installing Emacs Lisp (.el) libraries.

## EMACS

[ Top ] [ emacs.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the emacs command.

## EMACS_SITE

[ Top ] [ emacs.cygclass ] [ Definitions ]

DESCRIPTION

Path of Emacs' site-lisp directory, where third-party libraries are installed.

## doemacs

[ Top ] [ emacs.cygclass ] [ Install Functions ]

SYNOPSIS

      doemacs FILE [FILE2] ...

DESCRIPTION

Installs one or more Emacs Lisp libraries into EMACS_SITE (under $D).